Subject: categories: Re: Who said: General Abstract Nonsense

From: [email-masked] (Peter White)
Date: Tue, 19 May 1998 17:30:31 -0700

A quote from a Colin McLarty posting on another list:

"        Norman Steenrod first hung this tag on category theory.
He had spent years trying to axiomatize homology, encouraged by
Solomon Lefschetz. Lefschetz had also backed the young topologist
Sammy Eilenberg, and encouraged Eilenberg's collaboration with the
algebraist Mac Lane explicating certain calculations in homology. 
When Eilenberg and Mac Lane created category theory, Steenrod saw 
he could use their way of emphasizing morphisms at least as 
much as objects. He happily said this "abstract nonsense"
was the key to solving his problem.

        The phrase was popularized by Lang's ALGEBRA, which
had an index entry under "abstract nonsense". The page numbers
sent you to various one line proofs such as "By abstract 
nonsense, tensor products are unique up to isomorphism when
they exist". The joke got old and survives only vestigially in
the latest edition."

Peter White

On Tue, May 19th, Michael Barr wrote:

> 
> This is interesting if indeed it was due to Steenrod.  In that case, it
> was certainly not intended as a putdown (as Lang clearly intended it).
> Sammy Eilenberg told on a number of occasions the story that when General
> Theory of Natural Equivalences was published, Steenrod said that no paper
> had ever influenced his thinking more.  He had been searching for years
> for an axiomatization of homology theory, but had never thought of using
> the induced homomorphisms as the basic tool.  The result was, of course,
> the Eilenberg-Steenrod axioms.  (The rest of the story is that P.A. Smith
> said he never read a more trivial paper in his life.  Sammy commented that
> both reactions were valid.)
>